# GET /api/v1/delayed-charges/customers/{customer_id}/pending

> Get customer pending charges

- **Tag:** delayed-charges
- **Operation ID:** `get_customer_pending_charges_api_v1_delayed_charges_customers__customer_id__pending_get`

## Description

Get pending delayed charges for a specific customer.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `customer_id` (path, string, required)

## Responses

### 200 — Successful Response

Schema: `CustomerPendingChargesSummary`

- `customer_id` (string · required)
- `customer_name` (string)
- `total_charges` (integer) — Total pending charges in cents
- `total_credits` (integer) — Total pending credits in cents
- `net_amount` (integer) — Net amount (charges - credits) in cents
- `count` (integer) — Number of pending items
- `items` (array · DelayedChargeResponse) → `DelayedChargeResponse`
  - `id` (string · required)
  - `business_id` (string · required)
  - `customer_id` (string · required)
  - `type` (string · required)
  - `status` (string · required)
  - `currency` (string · required)
  - `amount` (integer · required)
  - `amount_in_dollars` (string · required)
  - `description` (string · required)
  - `internal_notes` (string)
  - `line_items` (object)
  - `service_date` (string · date-time)
  - `invoiced_invoice_id` (string)
  - `invoiced_at` (string · date-time)
  - `created_at` (string · date-time · required)
  - `updated_at` (string · date-time · required)
  - `customer_name` (string)
  - `can_be_updated` (boolean)
  - `can_be_deleted` (boolean)
  - `can_be_invoiced` (boolean)

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/delayed-charges/customers/{customer_id}/pending' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/delayed-charges/customers/{customer_id}/pending', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/delayed-charges/customers/{customer_id}/pending", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/delayed-charges/get-customer-pending-charges
- OpenAPI slice: https://www.ondayzero.com/docs/reference/delayed-charges/get-customer-pending-charges/openapi.json
- Other endpoints in **delayed-charges**: https://www.ondayzero.com/docs/reference/delayed-charges
